Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007591OCamlplatform support (windows, cross-compilation, etc)public2017-07-21 12:102017-09-21 13:49
Reportervoglerr 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSmacOSOS Version10.13 Beta
Product Version4.05.0 
Target Version4.06.0 +dev/beta1/beta2/rc1Fixed in Version4.06.0 +dev/beta1/beta2/rc1 
Summary0007591: "ld: warning: pointer not aligned at address ..."
DescriptionSince the latest macOS update (probably because of the Xcode update) I get linker warnings with ocamlopt.

~~~
? ocamlopt test.ml
ld: warning: pointer not aligned at address 0x100024754 (_caml_startup__frametable + 8 from /var/folders/0j/1lq15k654zg7cf1rh9_gqty80000gn/T/camlstartup9725f2.o)
ld: warning: pointer not aligned at address 0x10002484C (_camlStd_exit__frametable + 8 from /Users/voglerr/.opam/4.05.0/lib/ocaml/std_exit.o)
ld: warning: pointer not aligned at address 0x1000248D4 (_camlTest__frametable + 8 from test.o)
ld: warning: pointer not aligned at address 0x100024994 (_camlCamlinternalFormatBasics__frametable + 8 from /Users/voglerr/.opam/4.05.0/lib/ocaml/stdlib.a(camlinternalFormatBasics.o))
ld: warning: pointer not aligned at address 0x1000266EC (_camlPervasives__frametable + 8 from /Users/voglerr/.opam/4.05.0/lib/ocaml/stdlib.a(pervasives.o))
~~~

ocaml 4.05.0, 4.04.1
Xcode Version 9.0 beta 2 (9M137d)
Apple LLVM version 9.0.0 (clang-900.0.26)
macOS 10.13 Beta (17A306f)
TagsNo tags attached.
Attached Files? file icon test.s [^] (1,298 bytes) 2017-07-21 14:41
? file icon test.ml [^] (31 bytes) 2017-07-21 14:41 [Show Content]

- Relationships

-  Notes
(0018106)
xleroy (administrator)
2017-07-21 14:20

Thanks for the advance notice: I see you're into beta versions of MacOS.

We'll need to reproduce. Could you possibly do "ocamlopt -S test.ml" and attach the generated test.s to this report?
(0018126)
xleroy (administrator)
2017-07-22 22:06

Thanks for the test.s file. Indeed, the frametable of module Test is not properly 8-aligned. This is not a fatal error because x86-64 supports unaligned accesses, but this is not intended nor desirable. A fix is on the way.
(0018127)
xleroy (administrator)
2017-07-22 22:34

See https://github.com/ocaml/ocaml/pull/1257 [^]
(0018308)
xleroy (administrator)
2017-09-21 13:49

Should be fixed since the merge of https://github.com/ocaml/ocaml/pull/1257 [^]

- Issue History
Date Modified Username Field Change
2017-07-21 12:10 voglerr New Issue
2017-07-21 14:20 xleroy Note Added: 0018106
2017-07-21 14:20 xleroy Status new => acknowledged
2017-07-21 14:41 voglerr File Added: test.s
2017-07-21 14:41 voglerr File Added: test.ml
2017-07-22 22:06 xleroy Note Added: 0018126
2017-07-22 22:07 xleroy Status acknowledged => confirmed
2017-07-22 22:07 xleroy Target Version => 4.06.0 +dev/beta1/beta2/rc1
2017-07-22 22:34 xleroy Note Added: 0018127
2017-09-21 13:49 xleroy Note Added: 0018308
2017-09-21 13:49 xleroy Status confirmed => resolved
2017-09-21 13:49 xleroy Resolution open => fixed
2017-09-21 13:49 xleroy Fixed in Version => 4.06.0 +dev/beta1/beta2/rc1


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker